post
https://api.accelevents.com/rest/host/event//integration/newApiKey
This API is used to generate a new key. We need to pass the authentication key to authenticate the user and query param with integrationType which contain enum(ZAPIER, CVENT, TRAY_IO, TRAY_IO_CONNECTOR). This API returns data like apiKey, enable, type, ticketType, apiUserDetails.
It generates when Zapier integration, Cvent integration, Tray integration toggle is enabled.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
it returns a message of success. Here is the description of response attributes, which returns to the form of JSON.
| Attribute | Description |
|---|---|
| apiKey | It contains an API key. |
| enable | It contains a boolean value. If any integration like Tray, Cvent , Zapier is enabled it will return true. |
| type | It's an enum. it contains integration types ZAPIER, CVENT, TRAY_IO, TRAY_IO_CONNECTOR. |
| ticketType | ticketTypeId : contains ticket type id. ticketTypeName : contains ticket type name . |
| apiUserDetails | accountNumber : contains the account number. userName : contains a user name. password : contains user password. |